#!/bin/sh

start=/system/bin/start
stop=/system/bin/stop
ndc=/system/bin/ndc

if grep -q "0x1603" "/sys/devices/platform/soc/78b6000.i2c/i2c-2/2-0020/chipid";
then
    setprop surfaceflinger.max_display 2 #2
else
    setprop surfaceflinger.max_display 1 #2
fi


setprop config.disable_network true
setprop config.disable_network_gprs false
setprop config.disable_power true

t1=`readlink -f /dev/touchscreen1`
t2=`readlink -f /dev/touchscreen2`

if [[ "$t1" == "/dev/input/event1" ]]; then
    setprop surfaceflinger.touch.display.event1 0
    setprop surfaceflinger.touch.display.event2 1
else
    setprop surfaceflinger.touch.display.event1 1
    setprop surfaceflinger.touch.display.event2 0
fi

panel_height=`getprop compositor.panel.height`
if [ -z $panel_height ]
then
    panel_height=100
fi

#setprop debug.hwui.renderer "opengl" #opengl
setprop surfaceflinger.forceX 800
setprop surfaceflinger.forceY $((1280-$panel_height)) # 100 for bottom panel
setprop surfaceflinger.forceX.0 800
setprop surfaceflinger.forceY.0 $((1280-$panel_height)) # 100 for bottom panel
setprop surfaceflinger.forceX.1 800
setprop surfaceflinger.forceY.1 $((1280-$panel_height)) # 100 for bottom panel
#setprop surfaceflinger.forceX2 800
#setprop surfaceflinger.forceY2 $((1280-$panel_height)) # 100 for bottom panel

#for usewayland == 0
setprop surfaceflinger.usewayland 3 #3
#next 3 lines if work in sfdroid mode so hwcomposer can get above settings(forceX/Y)
#$stop vendor.hwcomposer-2-1
#sleep 1
#$start vendor.hwcomposer-2-1

#systemctl stop compositor
#sleep 1

systemctl restart sfdroid
$start surfaceflinger
#sleep 1

#systemctl start compositor
##for usewayland == 1
#sleep 1
#systemctl restart sfdroid


$start netd
sleep 1
$ndc network create 9792
$ndc network interface add 9792 rndis0
$ndc network route add 9792 rndis0 0.0.0.0/0 10.15.19.83
#$ndc network interface add 9792 wlan0
#$ndc network route add 9792 wlan0 0.0.0.0/0 192.168.0.13
$ndc resolver setnetdns 9792  127.0.0.1 #reset sometimes by connectivity
$ndc resolver setnetdns rndis0 127.0.0.1
#or run ndc resolver from /etc/NetworkManager/dispatcher.d/script "up" or in java get with setprop
#$ndc network default set 9792
setprop net.dns1 127.0.0.1
setprop net.dns1 127.0.0.1


#killall -9 installd
#$stop  installd
$start installd
$start storaged
$start keystore
$start gatekeeper
$start media
$start mediaextractor
$start vendor.media.omx
$start cameraserver
$start qcamerasvr

$start zygote
#/usr/bin/systemd-run -E ANDROID_DATA=/data -E ANDROID_ROOT=/system -E ASEC_MOUNTPOINT=/mnt/asec --slice=zygote.slice
#$stop  vendor.ril-daemon#fixme
#$stop  vendor.ril-daemon2#fixme

$start zygote_secondary
systemctl restart udisks
#systemctl restart ofono

#/system/bin/audioserver &
echo "126" >/sys/class/leds/lcd-backlight/brightness
#echo "126" >/sys/devices/platform/soc/1a00000.qcom,mdss_mdp/1a00000.qcom,mdss_mdp:qcom,mdss_fb_primary/leds/lcd-backlight/brightness

export ANDROID_DATA=/data
#locksettings set-disabled

# am start-activity -n com.android.music/.MusicBrowserActivity --display 3
# am start -n com.android.chrome/com.google.android.apps.chrome.Main

#pm disable com.android.launcher3
#pm disable com.android.systemui
#am stopservice -n com.android.systemui/.SystemUIService
#settings put secure user_setup_complete 0
#pm enable com.example.android_home

#locksettings set-disabled true

# am start -n org.videolan.vlc.debug/org.videolan.vlc.gui.video.VideoPlayerActivity -d file:///sdcard/Movies/bbb_sunflower_1080p_30fps_normal.mp4 --display 2
# am start -a android.intent.action.VIEW -d https://www.youtube.com/watch?v=wTZXJ1DJlRs --display 10
# dumpsys display|grep -i displaylink|sed 's/,/\n/g'|grep layerStack|head -n1| cut -d ' ' -f3

#echo '_ ' >/data/local/tmp/chrome-command-line

#create stack
#setprop surfaceflinger.disable.input 1 # -1 1 2
#dumpsys input #for commit
#hide bottom buttons
#wm overscan 0,0,0,-190
#sleep 20000000
